%define api		1.0
%define major		1
#define libname		%%mklibname dleyna-server %%{api} %%{major}
#define develname	%%mklibname -d dleyna-server %%{api}

%global __provides_exclude libdleyna-server-1\\.0\\.so
%global __requires_exclude libdleyna-server-1\\.0\\.so

#define git 20140714

Name:		dleyna-server
Version:	0.6.0
Release:	%mkrel 2
Summary:	Service for interacting with Digital Media Servers
Group:		System/Servers
License:	LGPLv2
URL:		https://01.org/dleyna/
Source0:	https://github.com/intel/dleyna-server/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		dleyna-server-0.6.0-port-to-gupnp-1.2.patch
BuildRequires:	pkgconfig(dleyna-core-%{api})
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gssdp-1.2) >= 1.2
BuildRequires:	pkgconfig(gupnp-1.2) >= 1.2
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.11.5
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	pkgconfig(libsoup-2.4)
Requires:	dbus
Requires:	%mklibname dleyna-connector-dbus

%description
D-Bus service for clients to discover and manipulate DLNA Digital Media
Servers (DMSes).

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv
%configure \
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete

# We don't need a -devel package because only the daemon is supposed to be
# using the library.
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_libdir}/%{name}/libdleyna-server-%{api}.so
rm -rf %{buildroot}/%{_libdir}/pkgconfig


%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_datadir}/dbus-1/services/com.intel.%{name}.service

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-server-%{api}.so.%{major}{,.*}

%{_libexecdir}/%{name}-service
%config(noreplace) %{_sysconfdir}/%{name}-service.conf


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1523867
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1376620
- new version: 0.6.0
- port to new GUPnP API 1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1297461
- Mageia 7 Mass Rebuild

* Fri Oct 14 2016 daviddavid <daviddavid> 0.5.0-3.mga6
+ Revision: 1060768
- add patch to fix missing include <libgupnp/gupnp.h> since new gupnp-av >= 0.12.9

* Sun Feb 14 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 959846
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 cjw <cjw> 0.5.0-1.mga6
+ Revision: 847321
- 0.5.0

* Sun Nov 16 2014 cjw <cjw> 0.4.0-1.mga5
+ Revision: 797605
- set RPM groups
- fix requirement on dbus connector module package
- imported package dleyna-server


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-4
- Pass -v to autoreconf and -print to find

* Fri Feb 21 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-3
- Fix the Source0 as per
  https://fedoraproject.org/wiki/Packaging:SourceURL#Github

* Tue Feb 11 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-2
- Mention the full commit hash corresponding to the release as per
  https://fedoraproject.org/wiki/Packaging:SourceURL#Github

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> - 0.4.0-1
- Initial version
